var saveUserDataToLocalStorage = function(response){
    setBalanceChar(response.balance);
    setVoice(response.voice_type);
    setEmail(response.email);
    setPlan(response.plan);
    setUserName(response.name);
    setBalancePercentage(response.balance_percentage);
    setExpiryDate(response.balance_expiry);
    setHistoryOnOff(response.save_history);   
}

// set and get balance
function setBalanceChar( char ){
    localStorage.setItem("balance", char);
}
function getBalanceChar(){
    return localStorage.getItem("balance");
}

//set and retrive userName
function setUserName( name ){
    localStorage.setItem("username", name);
}

function getUserName(){
    return localStorage.getItem("username");
}

//sets user email
function setEmail(email){
    localStorage.setItem("email", email);
}
 
function getEmail(){
    return localStorage.getItem("email");
}

//sets user plan
function setPlan( plan ){
    localStorage.setItem("plan", plan);
}

function getPlan(){
    return localStorage.getItem("plan");
}


// set user expiry time
function setExpiryDate( date ){
    localStorage.setItem("expiryDate", date);
} 

function getExpiryDate(){
    return localStorage.getItem("expiryDate");
}


//set and get balance percentage
function setBalancePercentage( percent ){
    localStorage.setItem("balancePercentage", percent);
}
function getBalancePercentage(){
    return localStorage.getItem("balancePercentage");
}

//set and get user voice preferance while changing

function setDummyVoice( voice ){
    localStorage.setItem("voiceDummyType", voice);
}
function getDummyVoice(){
    return localStorage.getItem("voiceDummyType");
}

// set real voice user saved
function setVoice( voice ){
    localStorage.setItem("voiceType", voice);
}
function getVoice(){
    return localStorage.getItem("voiceType");
}

// set save history
function setHistoryOnOff( historyState ){
    localStorage.setItem("historyOnOff", historyState);
}
function getHistoryOnOff(){
    return localStorage.getItem("historyOnOff");
}


// delete all user data while logout
function deleteAllLocalStorage() {
    localStorage.removeItem("balance");
    localStorage.removeItem("username");
    localStorage.removeItem("email");
    localStorage.removeItem("plan");
    localStorage.removeItem("expiryDate");
    localStorage.removeItem("balancePercentage");
    localStorage.removeItem("voiceDummyType");
    localStorage.removeItem("historyOnOff");
    localStorage.removeItem("voiceType");
}
