function checkUserIsFree(){
    if((getPlan()).toLowerCase() === ('FREE').toLowerCase()) return true
    else return false
}


function getJwtToken(){
    /*  check the user token is valid or not 
        getCookie is a function from cookies.js, xpressCueToken is const from baseConstants.js.
    */
    try{
        if( Date.now() >= jwt_decode( getCookie(xpressCueToken) ).exp * 1000) return refreshToken();  
        else return getCookie(xpressCueToken)
    }
    catch (e) {
        console.log(e);
        deleteCookie(xpressCueToken);
    } 
}


function refreshToken () {
    // make an ajax call to end point api/v1/refresh and save the token and refresh token.
    $.ajax({
        contentType: 'application/json; charset=UTF-8',
        url : baseUrl+'login',
        dataType : 'json',
        data : JSON.stringify({
            "expired_token " : getCookie(xpressCueToken),
            "refresh_token" :  getCookie(xpressCueRefreshToken)
        }),
        type : 'POST',
        success : (response, textStatus, xhr) => {
            if(xhr.status == 200 ){
                saveUserDataToLocalStorage(response);
                setCookie( xpressCueToken , response.token, 30); // token is declared in base.js
                return getCookie(xpressCueToken);
            }
        },
        error : (err) => {
            // handle all the errors
            if(err.status == 403) {
                deleteCookie();
            }
        } 
    });
}