$('#loginForm').submit( () => {
        submitedButton.style.display = 'flex';
        submitButton.style.display = 'none';
        if( $('#userName').val() == '' || $('#userPassword').val() == ''){
            $("#alert").fadeIn("slow");
            return false;
        }else{
            $.ajax({
                contentType: 'application/json; charset=UTF-8',
                url : baseUrl+'login',
                dataType : 'json',
                data : JSON.stringify({
                    "email" : $('#userName').val(),
                    "password" : $('#userPassword').val()
                }),
                type : 'POST',
                success : (response, textStatus, xhr) => {
                    if(xhr.status == 200 ){
                        submitedButton.style.display = 'none';
                        submitButton.style.display = 'flex';
                        setCookie( xpressCueToken , response.token, 30); // token is declared in base.js
                        setCookie( xpressCueRefreshToken , response.refresh_token, 30); // this one too .. 
                        window.location.href = "loader-main.html";
                        saveUserDataToLocalStorage(response);
                    }
                },
                error : (err) => {
                    if(err.status == 401){
                        $("#AlertMessage").html(err.responseJSON.status.status_message);
                        $("#alert").fadeIn("slow");
                        submitedButton.style.display = 'none';
                        submitButton.style.display = 'flex';
                    } 
                    if(err.status == 500){
                        $("#AlertMessage").html("Sorry, Cannot login now.");
                        $("#alert").fadeIn("slow");
                        submitedButton.style.display = 'none';
                        submitButton.style.display = 'flex';
                    }
                    if(err.status == 0 ){
                        $("#AlertMessage").html("You are not connected to the internet.");
                        $("#alert").fadeIn("slow");
                        submitedButton.style.display = 'none';
                        submitButton.style.display = 'flex';
                    } 
        
                } 
            });
             return false;
        }
});

//login function

// alert box close function 
$(".closebtn").click( () => {
    $("#alert").fadeOut("slow");
});
