$('#registerForm').submit( () => {
    submitedButton.style.display = 'flex';
    submitButton.style.display = 'none';
    if($('#email').val() == '' || $('#first_name').val() == '' || $('#last_name').val() == '' || $('#password').val() == ''){
        loading.style.display = 'none';
        registerButton.style.display = 'block';
        footer.style.display = 'block';
        $("#alert").fadeIn("slow");
        return false;
    }else{
        // send user creds
        $.ajax({
            contentType: 'application/json; charset=UTF-8',
            url : baseUrl+'register',
            dataType : 'json',
            data : JSON.stringify({
                "email" : $('#email').val(),
                "first_name" : $('#first_name').val(),
                "last_name" : $('#last_name').val(),
                "password" : $('#password').val()
            }),
            type : 'POST',
            success : (response, textStatus, xhr) => {
                if(xhr.status == 200 ){
                    submitedButton.style.display = 'none';
                    submitButton.style.display = 'table-cell';
                    //setCookie( xpressCueToken, response.token, 30);
                    //setCookie( xpressCueRefreshToken , response.refresh_token, 30);
                    //saveUserDataToLocalStorage(response);
                    window.location.href = "verifyEmailPage.html";
                }
            },
            error : (err) => {
                if(err.status == 401){
                    submitedButton.style.display = 'none';
                    submitButton.style.display = 'table-cell';
                    $("#AlertMessage").html(err.responseJSON.status.status_message);
                    $("#alert").fadeIn("slow");
                }
                if(err.status == 400){
                    submitedButton.style.display = 'none';
                    submitButton.style.display = 'table-cell';
                    $("#AlertMessage").html(err.responseJSON.status.status_message);
                    $("#alert").fadeIn("slow");
                }
            } 
        });
        return false;
    }
});



// alert box close function 
$(".closebtn").click( () => {
    $("#alert").fadeOut("slow");
});